Firefox 74 drops support for TLS 1.0 and TLS 1.1 Options

ncdit -166 - 558
@2020-01-11 16:43:24

The support for the Transport Layer Security(TLS) protocol’s version 1.0 and 1.1, deprecated since Firefox 71, has been removed from all the channels as of Firefox 74.

Make sure to enable TLS 1.2 or 1.3 on your web server, otherwise Firefox will show the Secure Connection Failed error page to prevent users from accessing servers not using the newer version.

 
Users browsing this topic
Guest